Subject: bug#4243: Emacs 23 ido-mode vc-hg bug

From: Tracy Reed <[email-masked]>
Date: Mon, 24 Aug 2009 11:53:57 -0700

On Mon, Aug 24, 2009 at 06:12:06AM -0700, Dan Nicolaescu spake thusly:
> It looks like a bug in your hg version...

Ah-hah...I have tracked it down to this in my .hgrc file:

[defaults]
status = -q

I use hg mostly for sysadmin stuff and often have lots of files in a
directory that aren't checked in. But I use hg status often to see
what has been modified and do not want to see all the noise by the
files that are not checked in. So I use this default. Apparently it
confuses vc-hg. Not sure if emacs could handle this better somehow but
it isn't a big deal. I have commented it out of my .hgrc for now.

Thanks a lot for your help in troubleshooting this and sorry for
wasting your time with what turns out to be a non-emacs bug.

-- 
Tracy Reed
http://tracyreed.org